package repartos;

public class EntregasSistSolar extends EntregasViaLactea {
	private String destino,origen;
	private Carga carga;
	private float costoAsociado,valorDeLaCarga,valorAsegurado, impuesto;
	private Humanoide capitan;
	private int robotCapitan;
	
	public EntregasSistSolar(String origen,String destino,Carga carga,float valorDeLaCarga,float valorAsegurado,Humanoide capitan){
		super(origen,destino,carga,valorDeLaCarga,valorAsegurado,capitan);
		impuesto = calcImpuesto();
		costoAsociado = super.getCostoAsociado() + 50458;
	}
	
	private float calcImpuesto(){
		return super.impuesto() * 1.5F;
	}
	
	public String toString(){
		return super.toString();
	}
	
	public float getCostoAsociado(){
		return costoAsociado;
	}
	
}
