package repartos;

public class EntregasViaLactea {
	private String destino,origen;
	private Carga carga;
	private float impuesto = 0.23F;
	private float costoAsociado,valorDeLaCarga,valorAsegurado,valorDeclaradoCarga;
	private Humanoide capitan;

public EntregasViaLactea(String origen,String destino,Carga carga,float valorDeLaCarga,float valorAsegurado,Humanoide capitan){
	this.destino = destino;
	this.origen = origen;
	this.carga = carga;
	this.valorDeLaCarga = valorDeLaCarga;
	this.valorAsegurado = valorAsegurado;
	this.capitan = capitan;
	this.costoAsociado = getCostoAsociado();
	valorDeclaradoCarga = carga.getValorDeclarado();
}

public float getValorDeclaradoCarga(){
	return valorDeclaradoCarga;
}

public float getCostoAsociado(){
	return (valorAsegurado+valorDeLaCarga)*impuesto+1;
}

public float impuesto(){
	return impuesto;
}

public String toString(){
	return "El destino es: " + destino + "\n" +
			"El orgien es: " + origen + "\n" +
			"El impuesto es del: " + (impuesto *100) + "%" + "\n" +
			"El costo asociado es de: $ " + costoAsociado + "\n" +
			"El valor de la carga es de: $ " + valorDeLaCarga + "\n" +
			"El valor asegurado es de: $ " + valorAsegurado + "\n" +
			"El capitan es: " + capitan + "\n"+
			"Los datos de la carga son: " + "\n" + carga + "\n" ;
}

}