package repartos;

import java.io.ObjectInputStream.GetField;
import java.util.ArrayList;

public class PlanetExpress {

	public static void main(String[] args) {
		ArrayList<Humanoide> humanos = new ArrayList<Humanoide>();
		ArrayList<Carga> cargas = new ArrayList<Carga>();
		ArrayList<EntregasViaLactea> entregas = new ArrayList<EntregasViaLactea>();
		humanos.add( new Humanoide("Fry","Philip"));
		cargas.add(new CargaTerrestre(64.5F,1.6F,10000.00F,60,1));
		entregas.add(new EntregasSistSolar("Tierra","Marte",cargas.get(0),11000.00F,12000.00F,humanos.get(0)));
		System.out.println(entregas.get(0));
		System.out.println("Las ganancias son de $: " + getGananciaDeEntregas(entregas));
	}
	
	public static float getGananciaDeEntregas(ArrayList<EntregasViaLactea> entregas){
		float ganancias = 0;
		for (int x = 0;x < entregas.size();x++){
			ganancias += entregas.get(x).getCostoAsociado()-entregas.get(x).getValorDeclaradoCarga();
		}
		return ganancias;
	}

}
